<div class="container">
  <br>
  <h1>Pipes</h1>
  <hr>

  <table class="table">
    <thead class="thead-inverse">
      <tr>
        <th>Variable</th>
        <th>Pipe</th>
        <th>Producto</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td> {{ nombre }} </td>
        <td> uppercase </td>
        <td> {{ nombre | uppercase }} </td>
      </tr>
      <tr>
        <td> {{ nombre }} </td>
        <td> lowercase </td>
        <td> {{ nombre | lowercase }} </td>
      </tr>
      <tr>
        <td> {{ nombre }} </td>
        <td> slice:3 </td>
        <td> {{ nombre | slice:3 }} </td>
      </tr>
      <tr>
        <td> {{ nombre }} </td>
        <td> slice:0:3 </td>
        <td> {{ nombre | slice:0:3 }} </td>
      </tr>
      <tr>
        <td> {{ arreglo }} </td>
        <td> slice:1:5 </td>
        <td> {{ arreglo | slice:1:5 }} </td>
      </tr>
      <tr>
        <td> {{ PI }} </td>
        <td> number:'3.0-0' </td>
        <td> {{ PI | number:'3.0-0' }} </td>
      </tr>
      <tr>
        <td> {{ PI }} </td>
        <td> number:'1.0-2' </td>
        <td> {{ PI | number:'1.0-2' }} </td>
      </tr>
      <tr>
        <td> {{ a }} </td>
        <td> percent </td>
        <td> {{ a | percent }} </td>
      </tr>
      <tr>
        <td> {{ salario }} </td>
        <td> currency </td>
        <td> {{ salario | currency }} </td>
      </tr>
      <tr>
        <td> {{ salario }} </td>
        <td> currency:'EUR' </td>
        <td> {{ salario | currency:'EUR' }} </td>
      </tr>
      <tr>
        <td> {{ salario }} </td>
        <td> currency:'EUR':false </td>
        <td> {{ salario | currency:'EUR':false }} </td>
      </tr>
      <tr>
        <td> {{ salario }} </td>
        <td> currency:'EUR':true:'4.0-0' </td>
        <td> {{ salario | currency:'EUR':true:'4.0-0' }} </td>
      </tr>
      <tr>
        <td> {{ salario }} </td>
        <td> number:'.2-2' </td>
        <td> {{ salario | number:'.2-2' }} </td>
      </tr>
      <tr>
        <td> {{ valorDePromesa }} </td>
        <td> async </td>
        <td> {{ valorDePromesa | async }} </td>
      </tr>
      <tr>
        <td> {{ fecha }} </td>
        <td> date </td>
        <td> {{ fecha | date }} </td>
      </tr>
      <tr>
        <td> {{ fecha }} </td>
        <td> date:'medium' </td>
        <td> {{ fecha | date:'medium' }} </td>
      </tr>
      <tr>
        <td> {{ fecha }} </td>
        <td> date:'MMMM - dd' </td>
        <td> {{ fecha | date:'MMMM - dd' }} </td>
      </tr>
      <tr>
        <td> {{ nombre2 }} </td>
        <td> capitalizado </td>
        <td> {{ nombre2 | capitalizado }} </td>
      </tr>
      <tr>
        <td> {{ nombre2 }} </td>
        <td> capitalizado:false </td>
        <td> {{ nombre2 | capitalizado:false }} </td>
      </tr>
      <tr>
        <td> {{ nombre }} </td>
        <td>
          password:{{ activar }}
          <br>
          <button
            (click)="activar = !activar"
            type="button"
            class="btn btn-outline-primary">
            {{ 'Activar' | buttonNombre:activar }}
          </button>
        </td>
        <td> {{ nombre | password:activar }} </td>
      </tr>
    </tbody>
  </table>
  <h4>Slice</h4>
  <ul>
    <li *ngFor="let item of arreglo | slice:5:20"> {{ item }} </li>
  </ul>

  <h4>JSON</h4>
  <pre>
    {{ heroe | json }}
  </pre>

  <h4>Youtube <small>video</small></h4>

  <iframe width="560" height="315" [src]="video | domseguro:'https://www.youtube.com/embed/'" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
</div>
